This site has been archived and you can no longer log in or post new messages. For up-to-date community resources please visit ezplatform.com

eZ Community » Forums » eZ Publish 5 Platform » Use of ez_route() function in Twig
expandshrink

Use of ez_route() function in Twig

Use of ez_route() function in Twig

Monday 26 May 2014 3:33:13 pm - 6 replies

Hi everyone,

In the documentation it is said that ez_route() function is a Twig function. But whenever I am trying to use it, I get a symfony error saying : 

The function "ez_route" does not exist

Any help?

Monday 26 May 2014 4:19:40 pm

Hello

As you can read in the version compatibility block on top of the documentation page you mention, it is said "5.3 / 2014.05". So unless you're using dev-master and given 5.3 and 2014.05 are not released yet, this is perfectly normal happy.gif Emoticon

Monday 26 May 2014 4:54:47 pm

Hello Jerome,

Thanks for the quick reply. If I check my composer.json, I find under extra->branch-alias->dev-master to be "5.3.x-dev"

Is there any workaround right now?

Monday 26 May 2014 5:39:46 pm

It's not in the branch-alias that you need to look at, but in the require section. Check ezpublish-kernel version.

Tuesday 27 May 2014 11:23:34 am

Hi Jerome,

I tried with "dev-master" for the kernel but it gives some dependency error. I also tried with "@dev" but that did not work as well, had some problem with the cache clearing. Could you please guide me a bit for it.

Thanks in advance,

Stiff

Tuesday 27 May 2014 2:43:07 pm

What kind of dependency error ?

Tuesday 27 May 2014 3:10:29 pm

Hi Jerome,

If I add "dev-master" in the kernel version

"

Problem 1   

 - Installation request for ezsystems/ezpublish-kernel dev-master -> satisfiable by ezsystems/ezpublish-kernel[dev-master].
 - ezsystems/ezpublish-kernel dev-master requires zetacomponents/base dev-master#642f63a -> no matching package found.  

Problem 2   

 - ezsystems/ezpublish-kernel dev-master requires zetacomponents/base dev-master#642f63a -> no matching package found.   
 - ezsystems/ezpublish-community 5.3.x-dev requires ezsystems/ezpublish-kernel dev-master -> satisfiable by ezsystems/ezpublish-kernel[dev-master].   
 - Installation request for ezsystems/ezpublish-community 5.3.x-dev -> satisfiable by ezsystems/ezpublish-community[5.3.x-dev].

Potential causes: 

 - A typo in the package name 
 - The package is not available in a stable-enough version according to your minimum-stability setting   see <https://groups.google.com/d/topic...poser-dev/_g3ASeIFlrc/discussion> for more details.

Read <http://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.

"

But there is no 'zetacomponents/base' in the composer

Modified on Friday 30 May 2014 12:04:03 pm by Stiff Roy

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from